//------------------------------------------------------------------------------
// File: 
//
// Desc: 
//
//------------------------------------------------------------------------------


class CD3DFilterProperties : public CBasePropertyPage
{

public:

    static CUnknown * WINAPI CreateInstance(LPUNKNOWN lpunk, HRESULT *phr);

private:

    BOOL OnReceiveMessage(HWND hwnd,UINT uMsg,WPARAM wParam,LPARAM lParam);
    HRESULT OnConnect(IUnknown *pUnknown);
    HRESULT OnDisconnect();
    HRESULT OnDeactivate();
    HRESULT OnApplyChanges();

    void SetDirty();

    HWND	CreateSlider(HWND hwndParent, int x);
    void	OnSliderNotification(WPARAM wParam);
    HWND	m_hwndSlider;
    HWND	m_hwndSlider2;
    HWND	m_hwndSlider3;

    CD3DFilterProperties(LPUNKNOWN lpunk, HRESULT *phr);
    signed char m_clLevelOnExit; // Remember level for CANCEL
    signed char m_clLevel;  // And likewise for next activate
	signed char m_calphaLevelOnExit; // Remember level for CANCEL
    signed char m_calphaLevel;  // And likewise for next activate
    signed char m_cbetaLevelOnExit; // Remember level for CANCEL
    signed char m_cbetaLevel;  // And likewise for next activate

    ID3DFilter *m_pContrast;

    ID3DFilter *pIContrast() {
        ASSERT(m_pContrast);
        return m_pContrast;
    };

}; // CD3DFilterProperties

