//------------------------------------------------------------------------------
// File: ID3DFilter.h
//
// Desc: The interface that is used to change the params that are sent to the
//		 pixel shader.
//
//------------------------------------------------------------------------------


#ifndef __ID3DFILTER__
#define __ID3DFILTER__

#ifdef __cplusplus
extern "C" {
#endif

    // {fd5010a2-8ebe-11ce-8183-00aa00577da1}
    DEFINE_GUID(IID_ID3DFilter,
    0xfd5010a2, 0x8ebe, 0x11ce, 0x81, 0x83, 0x00, 0xaa, 0x00, 0x57, 0x7d, 0xa1);

    DECLARE_INTERFACE_(ID3DFilter, IUnknown)
    {
        STDMETHOD(setHWND) (THIS_
			HWND *hwnd      // The window
        ) PURE;

		STDMETHOD(setParam1) (THIS_
			float param      // The param
        ) PURE;
		STDMETHOD(setParam2) (THIS_
			float param      // The param
        ) PURE;
		STDMETHOD(setParam3) (THIS_
			float param      // The param
        ) PURE;

    };

#ifdef __cplusplus
}
#endif

#endif // __ID3DFILTER__

